org.apache.maven.scm.provider.accurev

## Class Transaction

- java.lang.Object
- - org.apache.maven.scm.provider.accurev.Transaction

    public class Transaction
    extends Object

### Nested Class Summary

Nested Classes
`class` `Transaction.Version`

### Constructor Summary

Constructors
Constructor and Description
`Transaction(Long id, Date when, String tranType, String user)`

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `addVersion(Long id, String name, String virtualSpec, String realSpec, String ancestor)`
`String` `getAuthor()`
`String` `getComment()`
`long` `getId()`
`long` `getTranId()`
`String` `getTranType()`
`String` `getType()`
`Collection<Transaction.Version>` `getVersions()`
`Date` `getWhen()`
`void` `setComment(String comment)`
`String` `toString()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### Transaction

    public Transaction(Long id,
                       Date when,
                       String tranType,
                       String user)

### Method Detail

#### getId

    public long getId()

#### getTranType

    public String getTranType()

#### getComment

    public String getComment()

#### setComment

    public void setComment(String comment)

#### getTranId

    public long getTranId()

#### getVersions

    public Collection<Transaction.Version> getVersions()

#### getWhen

    public Date getWhen()

#### getType

    public String getType()

#### getAuthor

    public String getAuthor()

#### addVersion

    public void addVersion(Long id,
                           String name,
                           String virtualSpec,
                           String realSpec,
                           String ancestor)

#### toString

    public String toString()

Overrides:
  `toString` in class `Object`